%define         cvsdate 20080407
Name:           nazghul
Version:        0.6.0
Release:        4.%{cvsdate}cvs%{?dist}
Summary:        A computer role-playing game (CRPG) engine

Group:          Amusements/Games
License:        GPLv2+
URL:            http://myweb.cableone.net/gmcnutt/nazghul.html

# Occasionally upstream names things with an underscore.
%define         version_us %(echo %{version} | sed -e 's/\\./_/g')

#Source0:        http://dl.sourceforge.net/nazghul/nazghul-%{version}.tar.gz

# Construct cvs checkout tarball with:
#  cvs -z3 -d:pserver:anonymous@nazghul.cvs.sourceforge.net:/cvsroot/nazghul co -D%{cvsdate} nazghul
#  tar cvvfz nazghul-%{cvsdate}.tgz nazghul
Source0:        nazghul-%{cvsdate}.tgz
Patch0:         nazghul-desktop.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_image-devel, SDL_mixer-devel, desktop-file-utils, libpng-devel

# For building from a CVS snapshot
BuildRequires:  automake, autoconf

%description
Nazghul is an old-school RPG engine modeled after those made in the
heyday of top-down, 2d tile-based graphics. It is specifically modeled
after Ultima V.


%package haxima
Summary:        A full-featured role-playing game for the Nazghul engine
Group:          Amusements/Games
Requires:       nazghul = %{version}

%description haxima
A complete, playable and full-featured role playing game which runs
under the Nazghul CRPG engine.

You must install Nazghul in order to play Haxima.


%prep
%setup -q -n %{name}
%patch0

# clean up CVS directories left in the source tarball
find . -depth -type d -name CVS -exec rm -rf {} \;

# Fix line endings
sed -i -e 's/\r//' doc/engine_extension_and_design/my_TODO.2004.05.05.txt

mv doc/* .


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/%{_bindir}/haxima.sh $RPM_BUILD_ROOT/%{_bindir}/haxima

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        haxima.desktop

install -D -m 644 icons/haxima.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/haxima.png

# It seems that the music gets left out by "make install"
pushd %{_builddir}/%{name}/worlds/haxima-1.002
cp -rp music $RPM_BUILD_ROOT%{_datadir}/nazghul/haxima
popd


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/nazghul
%dir %{_datadir}/nazghul
%doc AUTHORS ChangeLog COPYING INSTALL NEWS GAME_RULES GHULSCRIPT
%doc MAP_HACKERS_GUIDE engine_extension_and_design world_building


%files haxima
%defattr(-,root,root,-)
%{_bindir}/haxima
%{_datadir}/nazghul/haxima
%{_datadir}/applications/fedora-haxima.desktop
%{_datadir}/pixmaps/haxima.png
%doc USERS_GUIDE


%changelog
* Mon Apr 07 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-4.20080407cvs
- Bump to latest CVS snapshot.

* Thu Mar 13 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-3.20080312cvs
- Bump to current CVS version at upstream request.
- Add CVS snapshot generation instructions.
- Install the music which "make install" misses.

* Sun Feb 10 2008 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-2
- Rebuild for gcc 4.3.

* Mon Nov 05 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.6.0-1
- Update to 0.6.0.

* Wed Aug 22 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-4
- Patch upstream .desktop file for proper use of Version.
- Remove some errant CVS directories.
- Fix an end-of-line encoding.
- Minor spec cleanup.

* Tue Aug 21 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-3
- License is GPLv2+.
- Bump for rebuild.

* Tue May 29 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-2
- Bump release.

* Thu Jan 18 2007 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.6-0.1.rc1
- Bump to 0.5.6rc1.

* Sat Dec 16 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.5-3
- Force a link against libpng since SDL_image only loads it at runtime.

* Fri Dec 15 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.5-2
- Add libpng-devel build dependency.

* Fri Dec 15 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.5-1
- Update to 0.5.5.

* Thu Aug 31 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.4-2
- Rebuild.

* Thu Jun 29 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.4-1
- Update to 0.5.4 release.

* Wed Jun 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-6
- Update to CVS snapshot in preparation for the new release.

* Thu Jun  8 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-5
- Add fix for crash when attacking diagonally in the wilderness.

* Tue Feb 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-4
- More 64bit fixes.
- Package additional documentation.

* Mon Feb 13 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-3
- Add some 64-bit cleanliness fixes.

* Tue Feb  7 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-2
- Incorporate some review suggestions
- Patch bug with generation of haxima.sh.

* Sun Feb  5 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-1
- Update to 0.5.3

* Sat Jan 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.2-1
- Initial attempt
